### Function

# Gtk ScaleFormatValueFunc

#### Declaration

    char*
    (* GtkScaleFormatValueFunc) (
      GtkScale* scale,
      double value,
      gpointer user_data
    )

#### Description [src]

Function that formats the value of a scale.

See `gtk_scale_set_format_value_func()`.

#### Parameters

`scale`

  Type: `GtkScale`

  The `GtkScale`.

  The data is owned by the caller of the function.

`value`

  Type: `double`

  The numeric value to format.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `char*`

A newly allocated string describing a textual representation of the given numerical value.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.